Skip to content

Delete exclusion

DELETE/settings/exclusions/scanning/{exclusionId}

Endpoint API · Scanning Exclusions

Deletes a scanning exclusion.

Required permissionendpoint-state:update

Parameters

Name In Type Required Description
X-Tenant-ID header string (uuid) Yes Tenant ID.
exclusionId path string (uuid) Yes Exclusion ID.

Request samples

curl -X DELETE "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/exclusions/scanning/<exclusionId>" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"

import requests

response = requests.delete(
    "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/exclusions/scanning/<exclusionId>",
    headers={
        "Authorization": "Bearer <access-token>",
        "X-Tenant-ID": "<tenant-id>",
    },
)
print(response.json())

$headers = @{
    "Authorization" = "Bearer <access-token>"
    "X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method DELETE -Uri "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/exclusions/scanning/<exclusionId>" -Headers $headers

package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, err := http.NewRequest("DELETE", "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/exclusions/scanning/<exclusionId>", nil)
    if err != nil {
        panic(err)
    }
    req.Header.Set("Authorization", "Bearer <access-token>")
    req.Header.Set("X-Tenant-ID", "<tenant-id>")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}

const response = await fetch("https://api-<data-region>.central.sophos.com/endpoint/v1/settings/exclusions/scanning/<exclusionId>", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer <access-token>",
    "X-Tenant-ID": "<tenant-id>",
  },
});
const data = await response.json();
console.log(data);

Responses

200 — Can't find exclusion or it has been successfully deleted.

Response fields

deletedboolean
Whether the exclusion was deleted.

Errors

Status Meaning
403 Forbidden. This may be due to scanning exclusions being managed at Partner/Enterprise level.
500 Unexpected error.

All error responses share the same shape — see the error response object.

Response examples

200

{
  "deleted": true
}

See the guide for a narrative walkthrough of this API.